body{
    background-color: rgb(255, 255, 255);
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    margin: 0;
    padding: 0;
    overscroll-behavior: none;
}

html{
    scroll-snap-type: y mandatory;
}

section{
    scroll-snap-align: start;  
}

h1{
    font-family: Helvetica, sans-serif ;
    font-size: 60px;
    color: rgb(0, 0, 0);
    margin-bottom: 0px;

}
p{  
    font-family: helvetica-light, serif;
    color: rgb(0, 0, 0);
    margin-top: 0px;
}

#technologies,
#projects {
    padding-left: 200px;
    padding-right: 200px;
    z-index: 1;
}

/* gradient */

.gradient-container{
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    overflow: hidden;
    z-index: -1;
    pointer-events: none;
}

.gradient-container div{
    position: absolute;
    border-radius: 50%;
    animation: gradient 4s infinite;
}

@keyframes gradient {
    70%{
        transform: scale(1.5) translate(300px);
    }
}

.gradient-container div:nth-child(1){
    height: 50%;
    width: 50%;
    background-color: #e6838f;
    left: -10%;
    top: -10%;
}

.gradient-container div:nth-child(2){
    height: 80%;
    width: 70%;
    background-color: #efa3fc;
    left: 50%;
    top: -10%;
    animation-delay: 8s;
}

.gradient-container div:nth-child(3){
    height: 65%;
    width: 80%;
    background-color: #859aeb;
    left: -50%;
    top: 50%;
    animation-delay: 0.3s;
}

.gradient-container div:nth-child(4){
    height: 50%;
    width: 50%;
    background-color: #a18ce0;
    left: 55%;
    top: 70%;
    animation-delay: 1.2s;
}

.gradient-container::after{
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    backdrop-filter: blur(80px);
    overflow: hidden;
}

a:visited,a{
    text-decoration: none;
    color: black;
    font-size: 25px;
}

/* End gradient */

#TitleScreen {
    height: 100vh;
    width: 100%;
    position: relative;
    padding: 0 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 0;
}

#wavingHandEmoji{
    display: inline-block;
}

p:hover #osuName {
    max-width: 0%;
}
p:hover #buckeyeEmj{
    max-width: 100%;
}


#osuName{
  display: inline-block;
  max-width: 100%;
  vertical-align: bottom;
  overflow: hidden;
  white-space: nowrap;
  transition: max-width .5s ease;
}

#buckeyeEmj{
  display: inline-block;
  max-width: 0%;
  vertical-align: bottom;
  overflow: hidden;
  white-space: nowrap;
  transition: max-width 1s ease-in-out;
}

img{
    max-width: 100%;
    display: block;
}

#hyperlinks{
    font-size: 30px;
}

/*tech grid*/
.tech-wrapper{
    justify-content: center;
    display: grid;
    grid-template-columns: repeat(3, minmax(100px, 200px));
    gap: 1rem;
    margin-top: 2rem;
    padding-left: 100px;
    padding-right: 100px;
}

.tech-box{
    position: relative;
    bottom: 0px;
    border: 1px solid black;
    border-radius: 30px;
    padding: 1rem;
    text-align: center;
    font-size: 45px;
    background-color: rgba(229, 226, 226, 0);
    transition: bottom 0.25s ease-in-out;
}

.tech-box:hover{
    bottom: 10px;
}


/*project grids*/

/*added comment to fix cache*/
.wrapper{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(310px, 1fr));
    gap: 1rem;
    margin-top: 2rem;
    padding-left: 100px;
    padding-right: 100px;
}

.box{
    border: 1px solid black;
    border-radius: 6px;
    padding: 2rem;
    text-align: left;
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
}